import sys
from image_convert import ImageShrink
from get import immich
from image_show import ImageShow

if len(sys.argv) == 2 and sys.argv[1] == "test":
    print("Running test")
    shower = ImageShow()
    shower.draw_sample_image()
    sys.exit()


shrink_kwargs = {}
if "nodither" in sys.argv:
    print("Disabling dithering")
    shrink_kwargs["dither"] = False
if "noreduce" in sys.argv:
    print("Disabling color reduction")
    shrink_kwargs["colors"] = -1

getter = immich.ImageGetImmich()
converter = ImageShrink(**shrink_kwargs)
shower = ImageShow()

image = getter.get_random_image()
image = converter.convert(image)
shower.show_image(image)
