import keys
import httpx as h
import random
import json

from image_get import ImageGet, ImageGetException

class ImageGetImmich(ImageGet):

    def __init__(self) -> None:
        headers = {
            "AIC-User-Agent": "Eink Art Display (remoll@ethz.ch)"
        }

        super().__init__(
            base_url=keys.immich_api_root_url,
            headers=self.headers
            )
    
    def get_random_image_ids(self) -> list[str]:
        raise NotImplementedError
    
    def get_image_file(self, image_id: str) -> bytearray:
        raise NotImplementedError
